; ----- Dial UNISON through TELENET and logon
;	R.McG; 7/89, Chicago
; ----------------------------------------------------------------
;	Note: This script expects dialing directory entry #10 to
;	be set to dial TELENET.
; ----------------------------------------------------------------
;	Note: This script uses a LOGON file prepared by MKLOGON,
;	if one is available.
; ----------------------------------------------------------------
; Usages:
;	  S0 ------> Destroyed
;
; Requires:
;	  TELENET.CMD
;	  UNILOGON.CMD
;
; This script may be FCALLED
; ----------------------------------------------------------------
;	Dial the UNISON through Telenet at 1200
;
	LEGEND " Dialing UNISON through Telenet"
	IF NOT LINKED		; If not invoked through Alt-D
	   RESET		; Reset defaults only if not linked
	   DIAL 7		; Call dial dir entry number 7 (Telenet)
	   IF FAILED		; IF esc out
	      EXIT		; terminate script
	      ENDIF		; End if failed
	   ENDIF		; End if not linked
;
;	Invoke the Telenet script
;
	SET LINKED ON
	FCALL "Telenet"         ; Invoke sister scrtip
	SET TTHRU OFF		; Let psw be typed
;
;	Connect to UNISON
;
	LEGEND "Connecting to UNISON"
	TRANSMIT "!"            ; Send a c/r to get another prompt
	WAITFOR "@"             ; Wait for "@" to be received
	TRANSMIT "C UNISON!"    ; Send request to telenet for SOURCE
	WAITFOR "Username:"     ; Wait for logon prompt
;
;	Set a few parms
;
	SET BSUPPRESS OFF	; Turn off blank line suppression
	SET MASK ON		; Turn on high bit mask
	SET CDISPLAY ON 	; Display ctl chars
	SET BACKSP OUT DELETE	; Nondestructive BS
;
;	If we have a UNILOGON file, use it
;
	IF ISSCFILE "UNILOGON"
	   FCALL "UNILOGON"
	   SET SUCCESS ON
	ELSE
	   SET SUCCESS OFF
	   ENDIF
	SET TTHRU ON		; Allow typethrough again
;
;	If invoked via FCALL, return.  Else signal completion
;
	IF FCALLED
	   FRETURN		; W/ SUCCESS set according to logon logoff
	ELSE
	   Alarm		; Sound alarm
	   ENDIF
